halapi hierarchichalalignmentformatapi

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
hal::DynBottomSegment Class Reference

`#include <dynBottomSegment.h>`

Inheritance diagram for hal::DynBottomSegment:

List of all members.

## Public Member Functions
int | getNumChildren () const
segidx_t | getChildIndex (int i) const
bool | getReverseComp (int i) const
## Protected Attributes
segidx_t * | _childSegIndex
bool * | _reverseComplement

## Detailed Description

General implementation of a "Bottom" DNA segment Useful for larger numbers of children when we can't compile a zillion template instances of staticBottomSegment..

## Member Function Documentation

segidx_t hal::DynBottomSegment::getChildIndex | ( | int | i | ) | const`[virtual]`

Get segment index for top array of ith child array

Implements hal::BottomSegment.

int hal::DynBottomSegment::getNumChildren | ( |  | ) | const`[virtual]`

Number of descent edges to children (any of these can still be null values

Implements hal::BottomSegment.

bool hal::DynBottomSegment::getReverseComp | ( | int | i | ) | const`[virtual]`

Get reverse complement flag for ith child index

Implements hal::BottomSegment.

The documentation for this class was generated from the following file:

- inc/dynBottomSegment.h

All Classes Functions Variables